# SPDX-License-Identifier: CC0-1.0

{ stdenv, fetchgit, dhallApps, prelude }:

stdenv.mkDerivation {
  name = "dhall-genode";
  src = fetchgit {
    url = "https://git.sr.ht/~ehmry/dhall-genode";
    rev = "8d489b24fad71df04e0facae561bac17a25cb2a5";
    sha256 = "0ngp1ipypf72z7nxsx1xxc051yx3gw7556nfgwsplpxa2y9msp0q";
  };
  DHALL_PRELUDE = prelude + "/package.dhall";
  buildCommand = ''
    export XDG_CACHE_HOME=$TMPDIR
    cp -r $src $out
    chmod +w -R $out
    echo $DHALL_PRELUDE > $out/Prelude.dhall
    find $out -type f -exec \
      ${dhallApps.dhall.program} freeze --all --inplace {} \;
  '';
}
